Module org.hdfgroup.hdfview
Package hdf.view.ImageView

# Class DefaultImageView.Rotate90Filter

Object
ImageFilter
hdf.view.ImageView.DefaultImageView.Rotate90Filter

All Implemented Interfaces:
  `ImageConsumer`, `Cloneable`

Enclosing class:
  `DefaultImageView`

public static class DefaultImageView.Rotate90Filter extends ImageFilter
Makes an image filter for rotating image by 90 degrees.

- ## Field Summary

  ### Fields inherited from class java.awt.image.ImageFilter

  `consumer`

  ### Fields inherited from interface java.awt.image.ImageConsumer

  `COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rotate90Filter(int dir)`
  Image filter for rotating image by 90 degrees.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `imageComplete(int status)`
  `void`
  `itransform(double x, double y, double[] retcoord)`
  Transform when rotating image by 90 degrees.
  `void`
  `setColorModel(ColorModel model)`
  `void`
  `setDimensions(int width, int height)`
  `void`
  `setHints(int hintflags)`
  `void`
  `setPixels(int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize)`
  `void`
  `setPixels(int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize)`
  `void`
  `setProperties(Hashtable props)`
  `void`
  `transform(double x, double y, double[] retcoord)`
  Transform when rotating image by 90 degrees.
  `void`
  `transformBBox(Rectangle rect)`
  Transform the image specified by a rectangle.

  ### Methods inherited from class java.awt.image.ImageFilter

  `clone, getFilterInstance, resendTopDownLeftRight`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Rotate90Filter

    public Rotate90Filter(int dir)
    Image filter for rotating image by 90 degrees.
    Parameters:
      `dir` - the direction to rotate the image ROTATE_CW_90 or ROTATE_CCW_90

- ## Method Details

  - ### transform

    public void transform(double x, double y, double[] retcoord)
    Transform when rotating image by 90 degrees.
    Parameters:
      `x` - the x coordinate to transform
      `y` - the y coordinate to transform
      `retcoord` - the x.y coordinate transformed

  - ### itransform

    public void itransform(double x, double y, double[] retcoord)
    Transform when rotating image by 90 degrees.
    Parameters:
      `x` - the x coordinate to transform
      `y` - the y coordinate to transform
      `retcoord` - the x.y coordinate transformed

  - ### transformBBox

    public void transformBBox(Rectangle rect)
    Transform the image specified by a rectangle.
    Parameters:
      `rect` - the rectangle coordinates transformed

  - ### setDimensions

    public void setDimensions(int width, int height)
    Specified by:
      `setDimensions` in interface `ImageConsumer`
    Overrides:
      `setDimensions` in class `ImageFilter`

  - ### setProperties

    public void setProperties(Hashtable props)
    Specified by:
      `setProperties` in interface `ImageConsumer`
    Overrides:
      `setProperties` in class `ImageFilter`

  - ### setColorModel

    public void setColorModel(ColorModel model)
    Specified by:
      `setColorModel` in interface `ImageConsumer`
    Overrides:
      `setColorModel` in class `ImageFilter`

  - ### setHints

    public void setHints(int hintflags)
    Specified by:
      `setHints` in interface `ImageConsumer`
    Overrides:
      `setHints` in class `ImageFilter`

  - ### setPixels

    public void setPixels(int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize)
    Specified by:
      `setPixels` in interface `ImageConsumer`
    Overrides:
      `setPixels` in class `ImageFilter`

  - ### setPixels

    public void setPixels(int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize)
    Specified by:
      `setPixels` in interface `ImageConsumer`
    Overrides:
      `setPixels` in class `ImageFilter`

  - ### imageComplete

    public void imageComplete(int status)
    Specified by:
      `imageComplete` in interface `ImageConsumer`
    Overrides:
      `imageComplete` in class `ImageFilter`